Subject: [Mip4] [Editorial Errata Reported] RFC5944 (4133)

From: RFC Errata System <[email-masked]>
Date: Fri, 17 Oct 2014 06:02:58 -0700 (PDT)

The following errata report has been submitted for RFC5944,
"IP Mobility Support for IPv4, Revised".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5944&eid=4133

--------------------------------------
Type: Editorial
Reported by: Jack Martin <[email-masked]>

Section: 1.10

Original Text
-------------
This format is applicable for non-skippable extensions that carry
information of more that 256 bytes.
.
.
.
Since the Length field is 16 bits wide, the extension data can exceed
256 bytes in length.

Corrected Text
--------------
This format is applicable for non-skippable extensions that carry
information of more that 255 bytes.
.
.
.
Since the Length field is 16 bits wide, the extension data can exceed
255 bytes in length.

Notes
-----
Since the length field is 8 bits, a maximum length of 255 bytes of data 
is possible, not 256.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5944 (draft-ietf-mip4-rfc3344bis-10)
--------------------------------------
Title               : IP Mobility Support for IPv4, Revised
Publication Date    : November 2010
Author(s)           : C. Perkins, Ed.
Category            : PROPOSED STANDARD
Source              : Mobility for IPv4
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: Brian Haberman <[email-masked]>
Date: Tue, 21 Oct 2014 09:24:57 -0400

All,

> "IP Mobility Support for IPv4, Revised".

Henrik noted that the correct value here should be 254 (as noted in the
follow-on erratum).

I will correct the correction and mark this as Verified.

Regards,
Brian

---

From: "Charles E. Perkins" <[email-masked]>
Date: Tue, 21 Oct 2014 07:48:44 -0700

Hello folks,

I agree with this correction also.

Regards,
Charlie P.

-- 
Regards,
Charlie P.

---

From: Brian Haberman <[email-masked]>
Date: Tue, 21 Oct 2014 12:27:28 -0400

Hi Jack,
     No, I think 1.10 needs to reference the 254 value as well.  I
believe the long extension format is the only way to carry 255 bytes of
extension data.  The short extension format (section 1.11) will carry up
to 254 bytes.  The long extension is needed for any value greater than that.

Regards,
Brian

On 10/21/14 11:32 AM, Martin, Jack wrote:
> If I understood your comment correctly you are going to change the to 254 instead of
> the proposed 255 for section 1.10.
> 
> For section 1.10 I believe that 255 is the correct value.   It is section 1.11 in which the
> value should be 254 (which was noted in the second erratum I submitted).
> 
> Regards,
> Jack
> 
> -----Original Message-----
> From: Brian Haberman [mailto:[email-masked]] 
> Sent: Tuesday, October 21, 2014 8:25 AM
> To: RFC Errata System; [email-masked]; [email-masked]; [email-masked]; [email-masked]
> Cc: Martin, Jack; [email-masked]
> Subject: Re: [Editorial Errata Reported] RFC5944 (4133)
> 
> All,
> 
>> The following errata report has been submitted for RFC5944, "IP 
>> Mobility Support for IPv4, Revised".
>>
> Henrik noted that the correct value here should be 254 (as noted in the follow-on erratum).
>